---
title: "Fetch INE scraping results"
url: "https://developer.incode.com/api-reference/api-fetch-ine/"
section: "api-reference"
group: "API validations"
version: "v1.1"
status: "live"
endpoint: "GET /api/fetch/ine"
---
# Fetch INE scraping results

`GET /api/fetch/ine`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetch the results from [/api/validate/ine](#/API%20Validations/validateIne). The recommended wait time is 20 sec and retrying every 5 sec after that.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `idResults` | query | string | yes |  |
| `api-version` | header | string | yes |  |

## Responses

### 200

scrapingStatus possible values are: - IN_PROGRESS: service hasn't finished and should retry in 5 seconds. - FINISHED: scrapping service finished and we got either a successful response or an error such as curp not found. - ERROR: scrapping service had an unhandled error, another attempt should be sent to validate curp. If INE is not found or an error occurs (such as service being in maintenance) then the success field will be false and the field resultDetails will have additional information.

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `get_version` | integer (int64) |  |  |
| `scrapingStatus` | string |  | Scraping status Enum: `IN_PROGRESS`, `FINISHED`, `ERROR` |
| `success` | boolean |  | Flag indicating if the process finished successfully. |
| `result` | string |  | Result Enum: `success`, `error` |
| `resultDetails` | string |  |  |
| `screenshotUrl` | string |  |  |
| `cic` | string |  | Cic value. |
| `claveElector` | string |  | Clave de elector. |
| `numeroEmision` | string |  | Emission number. |
| `ocr` | string |  | Ocr number. |
| `anioRegistro` | string |  | Registration year. |
| `anioEmision` | string |  | Emission year. |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/api/fetch/ine \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/api/fetch/ine", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/api/fetch/ine", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/api/fetch/ine"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
